Subject: Re: [Acme] Want client-defined callback port

From: Michael Ströder <[email-masked]>
Date: Fri, 08 May 2015 18:15:37 +0200

Ted Hardie wrote:
> Forgive the top posting, but I want to be sure I understand something.  If
> the client specifies a port that is below 1024 but canonically used for
> something else, what is the specified behavior?  My reading of the thread
> so far is that the server would expect to run ACME over it, even if were
> specified for, say, LDAP (389).

I always considered it to be a design flaw that server certs ony contain a 
host name while e.g. browser's Same-Origin-Policy is based on 
(protocol,hostname,port).

This discussion is yet another result of this deficiency.

Ciao, Michael.